package com.bonus.canteen.core.drp.constant;

public enum DrpOutInventoryTypeEnum {
   FETCH(1, "领取出库"),
   BREAKAGE(2, "报损出库"),
   BACK(3, "退货出库"),
   ALLOT(4, "调拨出库"),
   INTO_OUT(5, "即入即出"),
   SUPERMARKET_OUT(6, "超市出库"),
   CHECK_OUT(7, "盘点出库");

   private final Integer key;
   private final String value;

   private DrpOutInventoryTypeEnum(Integer key, String value) {
      this.key = key;
      this.value = value;
   }

   public static Integer getKey(String value) {
      DrpOutInventoryTypeEnum[] enums = values();
      DrpOutInventoryTypeEnum[] var2 = enums;
      int var3 = enums.length;

      for(int var4 = 0; var4 < var3; ++var4) {
         DrpOutInventoryTypeEnum temp = var2[var4];
         if (temp.value().equals(value)) {
            return temp.key();
         }
      }

      return null;
   }

   public static String getValue(Integer key) {
      DrpOutInventoryTypeEnum[] enums = values();
      DrpOutInventoryTypeEnum[] var2 = enums;
      int var3 = enums.length;

      for(int var4 = 0; var4 < var3; ++var4) {
         DrpOutInventoryTypeEnum temp = var2[var4];
         if (temp.key().equals(key)) {
            return temp.value();
         }
      }

      return null;
   }

   public Integer key() {
      return this.key;
   }

   public String value() {
      return this.value;
   }

}
